diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingSection.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/GuidebookSectionCrafting.java
similarity index 77%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/GuidebookSectionCrafting.java
index e0a985018..dc3d3fd41 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/GuidebookSectionCrafting.java
@@ -14,12 +14,12 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Objects;
 
-public class CraftingSection
+public class GuidebookSectionCrafting
     extends SearchableGuidebookSection {
     private final List<GuidebookPage> pages = new ArrayList<>();
     private Pair<String,List<GuidebookPage>> filteredPages = null;
 
-    public CraftingSection() {
+    public GuidebookSectionCrafting() {
         super("guidebook.section.crafting", new ItemStack(Blocks.WORKBENCH), 0xA86335, 0xA52922);
         reloadRecipes();
     }
@@ -27,13 +27,13 @@ public class CraftingSection
     public void reloadRecipes(){
         pages.clear();
         List<RecipeEntryCrafting<?, ?>> allRecipes = new ArrayList<>(Registries.RECIPES.getAllCraftingRecipes());
-        allRecipes.removeIf((R)->(!CraftingPage.guidebookSupportsRecipe(R)));
+        allRecipes.removeIf((R)->(!RecipePageCrafting.guidebookSupportsRecipe(R)));
         int totalRecipes = allRecipes.size();
-        int totalPages = MathHelper.ceilInt(totalRecipes, CraftingPage.RECIPES_PER_PAGE);
+        int totalPages = MathHelper.ceilInt(totalRecipes, RecipePageCrafting.RECIPES_PER_PAGE);
         for (int i = 0; i < totalPages; i++) {
-            int j = i*CraftingPage.RECIPES_PER_PAGE;
-            ArrayList<RecipeEntryCrafting<?, ?>> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+CraftingPage.RECIPES_PER_PAGE,totalRecipes)));
-            pages.add(new CraftingPage(this,recipes));
+            int j = i* RecipePageCrafting.RECIPES_PER_PAGE;
+            ArrayList<RecipeEntryCrafting<?, ?>> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+ RecipePageCrafting.RECIPES_PER_PAGE,totalRecipes)));
+            pages.add(new RecipePageCrafting(this,recipes));
         }
     }
 
@@ -52,7 +52,7 @@ public class CraftingSection
         if(filteredPages == null || !Objects.equals(filteredPages.getLeft(), query.rawQuery)) {
             ArrayList<RecipeEntryCrafting<?, ?>> filteredRecipes = new ArrayList<>();
             List<RecipeEntryCrafting<?, ?>> allRecipes = new ArrayList<>(Registries.RECIPES.getAllCraftingRecipes());
-            allRecipes.removeIf((R)->(!CraftingPage.guidebookSupportsRecipe(R)));
+            allRecipes.removeIf((R)->(!RecipePageCrafting.guidebookSupportsRecipe(R)));
             for (RecipeEntryCrafting<?, ?> recipe : allRecipes) {
                 if(recipe.matchesQueryIgnoreExceptions(query)){
                     filteredRecipes.add(recipe);
@@ -60,12 +60,12 @@ public class CraftingSection
             }
             ArrayList<GuidebookPage> filteredPages = new ArrayList<>();
             int filteredRecipeSize = filteredRecipes.size();
-            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, CraftingPage.RECIPES_PER_PAGE);
+            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, RecipePageCrafting.RECIPES_PER_PAGE);
             for (int i = 0; i < filteredPageCount; i++) {
-                int j = i * CraftingPage.RECIPES_PER_PAGE;
-                ArrayList<RecipeEntryCrafting<?, ?>> recipes = new ArrayList<>(filteredRecipes.subList(Math.min(j, filteredRecipeSize), Math.min(j + CraftingPage.RECIPES_PER_PAGE, filteredRecipeSize)));
+                int j = i * RecipePageCrafting.RECIPES_PER_PAGE;
+                ArrayList<RecipeEntryCrafting<?, ?>> recipes = new ArrayList<>(filteredRecipes.subList(Math.min(j, filteredRecipeSize), Math.min(j + RecipePageCrafting.RECIPES_PER_PAGE, filteredRecipeSize)));
                 if (!recipes.isEmpty()) {
-                    filteredPages.add(new CraftingPage(this, recipes));
+                    filteredPages.add(new RecipePageCrafting(this, recipes));
                 }
             }
             this.filteredPages = Pair.of(query.rawQuery, filteredPages);
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingPage.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
similarity index 73%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
index c96f6759a..cf2a0921a 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
@@ -3,23 +3,23 @@ package net.minecraft.client.gui.guidebook.crafting;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ItemElement;
 import net.minecraft.client.gui.TooltipElement;
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
-import net.minecraft.client.gui.guidebook.PageManager;
+import net.minecraft.client.gui.guidebook.GuidebookPageManager;
 import net.minecraft.client.gui.guidebook.RecipePage;
-import net.minecraft.client.gui.guidebook.crafting.displays.LabelDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.LabelDyeDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.MapDuplicationDisplayAdapter;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterLabel;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterLabelDye;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterMapDuplication;
 import net.minecraft.client.gui.guidebook.crafting.displays.RecipeDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.RepairableDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.ScrapDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.ShapedDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.ShapelessDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.ToolDisplayAdapter;
-import net.minecraft.client.gui.guidebook.crafting.displays.UndyeDisplayAdapter;
-import net.minecraft.client.gui.guidebook.search.SearchPage;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterRepairable;
+import net.minecraft.client.gui.guidebook.crafting.displays.displayAdapterScrap;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterShaped;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterShapeless;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterTool;
+import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterUndye;
+import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.achievement.Achievements;
@@ -38,7 +38,7 @@ import net.minecraft.core.data.registry.recipe.entry.RecipeEntryUndyeing;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
@@ -47,25 +47,25 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class CraftingPage
+public class RecipePageCrafting
     extends RecipePage<RecipeEntryCrafting<?,?>> {
     public static final int RECIPES_PER_PAGE = 3;
 
-    public List<GuidebookSlot> slots;
-    public Map<RecipeEntryCrafting<?,?>,List<GuidebookSlot>> map;
+    public List<SlotGuidebook> slots;
+    public Map<RecipeEntryCrafting<?,?>,List<SlotGuidebook>> map;
 
     public static Map<Class<? extends RecipeEntryCrafting<?, ?>>, RecipeDisplayAdapter<?>> recipeToDisplayAdapterMap = new HashMap<>();
 
     static {
-        recipeToDisplayAdapterMap.put(RecipeEntryCraftingShaped.class, new ShapedDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryCraftingShapeless.class, new ShapelessDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryCraftingWithTool.class, new ToolDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryRepairable.class, new RepairableDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryScrap.class, new ScrapDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryLabel.class, new LabelDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryLabelDye.class, new LabelDyeDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryMapDuplication.class, new MapDuplicationDisplayAdapter());
-        recipeToDisplayAdapterMap.put(RecipeEntryUndyeing.class, new UndyeDisplayAdapter());
+        recipeToDisplayAdapterMap.put(RecipeEntryCraftingShaped.class, new DisplayAdapterShaped());
+        recipeToDisplayAdapterMap.put(RecipeEntryCraftingShapeless.class, new DisplayAdapterShapeless());
+        recipeToDisplayAdapterMap.put(RecipeEntryCraftingWithTool.class, new DisplayAdapterTool());
+        recipeToDisplayAdapterMap.put(RecipeEntryRepairable.class, new DisplayAdapterRepairable());
+        recipeToDisplayAdapterMap.put(RecipeEntryScrap.class, new displayAdapterScrap());
+        recipeToDisplayAdapterMap.put(RecipeEntryLabel.class, new DisplayAdapterLabel());
+        recipeToDisplayAdapterMap.put(RecipeEntryLabelDye.class, new DisplayAdapterLabelDye());
+        recipeToDisplayAdapterMap.put(RecipeEntryMapDuplication.class, new DisplayAdapterMapDuplication());
+        recipeToDisplayAdapterMap.put(RecipeEntryUndyeing.class, new DisplayAdapterUndye());
     }
 
     private final TooltipElement tooltipElement;
@@ -74,7 +74,7 @@ public class CraftingPage
     private static Player player;
     private static long ticks = 0;
 
-    public CraftingPage(GuidebookSection section, List<RecipeEntryCrafting<?,?>> recipes) {
+    public RecipePageCrafting(GuidebookSection section, List<RecipeEntryCrafting<?,?>> recipes) {
         super(section);
         this.recipes = recipes;
         this.slots = new ArrayList<>();
@@ -89,7 +89,7 @@ public class CraftingPage
         for (RecipeEntryCrafting<?,?> recipe : recipes) {
             if (recipeToDisplayAdapterMap.containsKey(recipe.getClass())) {
                 RecipeDisplayAdapter adapter = recipeToDisplayAdapterMap.get(recipe.getClass());
-                List<GuidebookSlot> recipeSlots = adapter.getSlots(recipe, recipeAmount, xOffset, yOffset);
+                List<SlotGuidebook> recipeSlots = adapter.getSlots(recipe, recipeAmount, xOffset, yOffset);
                 map.put(recipe,recipeSlots);
                 slots.addAll(recipeSlots);
                 yOffset += 10;
@@ -102,7 +102,7 @@ public class CraftingPage
     @Override
     public void onTick() {
         ticks++;
-        for (GuidebookSlot slot : slots) {
+        for (SlotGuidebook slot : slots) {
             if(ticks > 20) {
                 slot.showRandomItem();
                 if(slots.get(slots.size()-1) == slot){
@@ -117,8 +117,8 @@ public class CraftingPage
         if(recipes.isEmpty()){
             drawStringCenteredNoShadow(fr, I18n.getInstance().translateKey("guidebook.section.search.error.no_recipes"), x+width/2,y+height/2,0xFF808080);
         }
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             if(slot.item != null){
                 if(!slot.isOutput) slot.item.stackSize = 1;
             }
@@ -137,32 +137,32 @@ public class CraftingPage
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
         if(mc.gameSettings.keyShowRecipe.isKeyboardKey(key)){
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null){
                 if(hoveringSlot.hasItem()){
                     String query = "r:"+hoveringSlot.getItem().getDisplayName()+"!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
-            GuidebookSlot hoveringSlot= null;
-            for (GuidebookSlot slot : slots) {
+            SlotGuidebook hoveringSlot= null;
+            for (SlotGuidebook slot : slots) {
                 if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) hoveringSlot = slot;
             }
             if(hoveringSlot != null) {
                 if (hoveringSlot.hasItem()) {
                     String query = "u:" + hoveringSlot.getItem().getDisplayName() + "!";
-                    PageManager.searchQuery = SearchQuery.resolve(query);
-                    SearchPage.searchField.setText(query);
-                    GuidebookScreen.getPageManager().updatePages();
-                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookPageManager.searchQuery = SearchQuery.resolve(query);
+                    GuidebookPageSearch.searchField.setText(query);
+                    ScreenGuidebook.getPageManager().updatePages();
+                    ScreenGuidebook.getPageManager().setCurrentPage(ScreenGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     return true;
                 }
             }
@@ -182,7 +182,7 @@ public class CraftingPage
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
             RecipeEntryCrafting<?, ?> recipe = recipes.get(i-1);
-            List<GuidebookSlot> list = map.get(recipe);
+            List<SlotGuidebook> list = map.get(recipe);
             drawTexturedModalRect(x + list.get(list.size()-1).x - 25, y +  list.get(list.size()-1).y, 234, 0, 22, 15);
         }
     }
@@ -190,8 +190,8 @@ public class CraftingPage
     @Override
     protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem())
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/LabelDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterLabel.java
similarity index 81%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/LabelDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterLabel.java
index db18caa3f..371bccdb9 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/LabelDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterLabel.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
@@ -14,7 +14,7 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class LabelDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryLabel>{
+public class DisplayAdapterLabel implements RecipeDisplayAdapter<RecipeEntryLabel>{
     protected static final IItemConvertible[] randomOptions = new IItemConvertible[100];
     public static final String[] randomNames = new String[] {"Useless", "Bob", "Steve", "Adam", "Lucas", "George", "Ferdinand", "Hemingway", "Greg", "Brian", "Fells", "Herobrine"};
     static {
@@ -48,34 +48,34 @@ public class LabelDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryLabe
         }
     }
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryLabel recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryLabel recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
 
         ItemStack[] sharedBuffer = new ItemStack[2]; // 0:Label | 1:Item to name
         RecipeSymbol[] symbols = {new RecipeSymbol(Items.LABEL.getDefaultStack()), new RecipeSymbol(randomOptions[0].getDefaultStack()), null, null, new RecipeSymbol(randomOptions[0].getDefaultStack())};
 
         for (int i = 0; i < 4; i++) {
-            GuidebookSlot slot;
+            SlotGuidebook slot;
             int x = 13 + 18 * (i % 2) + xOffset;
             int y = 10 + 18 * ((i / 2) + recipeAmount * 3) + yOffset;
             if (i == 0) {
-                slot = new LabelGuidebookSlot(i, x, y, symbols[i], false, recipe, sharedBuffer);
+                slot = new SlotGuidebookLabel(i, x, y, symbols[i], false, recipe, sharedBuffer);
             } else if (i == 1) {
-                slot = new UnnamedInputGuidebookSlot(i, x, y, symbols[i], false, recipe, sharedBuffer);
+                slot = new SlotGuidebookUnnamedInput(i, x, y, symbols[i], false, recipe, sharedBuffer);
             } else {
-                slot = new GuidebookSlot(i, x, y, symbols[i], false, recipe);
+                slot = new SlotGuidebook(i, x, y, symbols[i], false, recipe);
             }
             recipeSlots.add(slot);
         }
 
         int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-        recipeSlots.add(new NamedOutputGuidebookSlot(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false, recipe, sharedBuffer).setAsOutput());
+        recipeSlots.add(new SlotGuidebookNamedOutput(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false, recipe, sharedBuffer).setAsOutput());
         return recipeSlots;
     }
 
-    public static class LabelGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookLabel extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
-        public LabelGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookLabel(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
         }
@@ -89,9 +89,9 @@ public class LabelDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryLabe
         }
     }
 
-    public static class UnnamedInputGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookUnnamedInput extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
-        public UnnamedInputGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookUnnamedInput(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
         }
@@ -104,9 +104,9 @@ public class LabelDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryLabe
         }
     }
 
-    public static class NamedOutputGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookNamedOutput extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
-        public NamedOutputGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookNamedOutput(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
         }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/LabelDyeDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterLabelDye.java
similarity index 71%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/LabelDyeDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterLabelDye.java
index e41eb1db1..7b4648840 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/LabelDyeDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterLabelDye.java
@@ -1,9 +1,8 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
-import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCraftingWithTool;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryLabelDye;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
@@ -13,36 +12,36 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class LabelDyeDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryLabelDye> {
+public class DisplayAdapterLabelDye implements RecipeDisplayAdapter<RecipeEntryLabelDye> {
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryLabelDye recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryLabelDye recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
 
         ItemStack[] sharedBuffer = new ItemStack[2]; // 0:Label | 1:Dye
         RecipeSymbol[] symbols = {new RecipeSymbol(Items.LABEL.getDefaultStack()), new RecipeSymbol(Items.DYE.getDefaultStack()), null, null, new RecipeSymbol(Items.LABEL.getDefaultStack())};
 
         for (int i = 0; i < 4; i++) {
-            GuidebookSlot slot;
+            SlotGuidebook slot;
             int x = 13 + 18 * (i % 2) + xOffset;
             int y = 10 + 18 * ((i / 2) + recipeAmount * 3) + yOffset;
             if (i == 0) {
-                slot = new LabelGuidebookSlot(i, x, y, symbols[i], false, recipe, sharedBuffer);
+                slot = new SlotGuidebookLabel(i, x, y, symbols[i], false, recipe, sharedBuffer);
             } else if (i == 1) {
-                slot = new DyeGuidebookSlot(i, x, y, symbols[i], false, recipe, sharedBuffer);
+                slot = new SlotGuidebookDye(i, x, y, symbols[i], false, recipe, sharedBuffer);
             } else {
-                slot = new GuidebookSlot(i, x, y, symbols[i], false, recipe);
+                slot = new SlotGuidebook(i, x, y, symbols[i], false, recipe);
             }
             recipeSlots.add(slot);
         }
 
         int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-        recipeSlots.add(new NamedOutputGuidebookSlot(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe, sharedBuffer).setAsOutput());
+        recipeSlots.add(new SlotGuidebookNamedOutput(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe, sharedBuffer).setAsOutput());
         return recipeSlots;
     }
 
-    public static class LabelGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookLabel extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
-        public LabelGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookLabel(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
         }
@@ -52,13 +51,13 @@ public class LabelDyeDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryL
             Random r = new Random();
             item = new ItemStack(Items.LABEL);
             itemBuffer[0] = item;
-            item.setCustomName(LabelDisplayAdapter.randomNames[r.nextInt(LabelDisplayAdapter.randomNames.length)]);
+            item.setCustomName(DisplayAdapterLabel.randomNames[r.nextInt(DisplayAdapterLabel.randomNames.length)]);
         }
     }
 
-    public static class DyeGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookDye extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
-        public DyeGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookDye(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
         }
@@ -71,9 +70,9 @@ public class LabelDyeDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryL
         }
     }
 
-    public static class NamedOutputGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookNamedOutput extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
-        public NamedOutputGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookNamedOutput(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
         }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/MapDuplicationDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterMapDuplication.java
similarity index 76%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/MapDuplicationDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterMapDuplication.java
index a6e1596e8..7b5e6951f 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/MapDuplicationDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterMapDuplication.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryMapDuplication;
 import net.minecraft.core.item.ItemStack;
@@ -9,10 +9,10 @@ import net.minecraft.core.item.Items;
 import java.util.ArrayList;
 import java.util.List;
 
-public class MapDuplicationDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryMapDuplication>{
+public class DisplayAdapterMapDuplication implements RecipeDisplayAdapter<RecipeEntryMapDuplication>{
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryMapDuplication recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryMapDuplication recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
 
         ItemStack initMap = new ItemStack(Items.MAP, 1, 1);
         initMap.getData().putBoolean("initialized", true);
@@ -23,11 +23,11 @@ public class MapDuplicationDisplayAdapter implements RecipeDisplayAdapter<Recipe
         for (int i = 0; i < 4; i++) {
             int x = 13 + 18 * (i % 2) + xOffset;
             int y = 10 + 18 * ((i / 2) + recipeAmount * 3) + yOffset;
-            recipeSlots.add(new GuidebookSlot(i, x, y, symbols[i], false, recipe));
+            recipeSlots.add(new SlotGuidebook(i, x, y, symbols[i], false, recipe));
         }
 
         int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-        recipeSlots.add(new GuidebookSlot(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false, recipe).setAsOutput());
+        recipeSlots.add(new SlotGuidebook(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false, recipe).setAsOutput());
         return recipeSlots;
     }
 }
